postfix depends on db41??

nano nanotek at bsdbox.co
Fri Feb 28 01:59:46 UTC 2014


What's the proper use for:

WITH_$PORT_VER=
DEFAULT_$PORT_VER=
$PORT_PORT=


Example:

WITH_BDB_VER=5
DEFAULT_PGSQL_VER=93
APACHE_PORT=www/apache24

Are they essentially interchangeable and achieve the same result?




Lowell Gilbert <freebsd-ports-local at be-well.ilk.org> wrote:
>LuKreme <kremels at kreme.com> writes:
>
>>  # portmaster mail/postfix210
>> [...]
>> ===>>> Gathering dependency list for mail/postfix210 from ports
>> ===>>> Launching child to install databases/db41
>>
>> ===>>> postfix210-2.10.3,1 >> databases/db41 (1/1)
>>
>> Why?
>>
>> postfix certainly does *not* require db41, and make.conf is set for
>version 5.3
>>
>>  # cat /etc/make.conf
>> WITH_PKGNG=yes
>> WITH_BDB_VERS=5.3
>
>You mean WITH_BDB_VER (no 'S')?
>_______________________________________________
>freebsd-ports at freebsd.org mailing list
>http://lists.freebsd.org/mailman/listinfo/freebsd-ports
>To unsubscribe, send any mail to
>"freebsd-ports-unsubscribe at freebsd.org"

-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.


More information about the freebsd-ports mailing list